%define ver      1.3.6
%define rel      4mdk
%define prefix   %{_prefix}
%define libname  libgtk+
%define major    2

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name:		gtk+%{major}
Version:	%ver
Release:	%rel
License:	LGPL
Group:		System/Libraries
Source:		ftp://ftp.gtk.org/pub/gtk/v1.3/gtk+-%{ver}.tar.bz2
Source1:	gtk-beta-rc-default
Icon:		gtk+-logo.xpm
BuildRoot:	%{_tmppath}/gtk+%{major}-root
URL:		http://www.gtk.org
Requires:	/sbin/install-info, common-licenses, libglib%{major} >= %{version} mandrake_desk >= 8.0-4mdk
#BuildRequires:	libglib%{major}-devel >= %{version}
BuildRequires:	libglib1.3_6-devel 
BuildRequires:	atk-devel freetype2-devel libjpeg-devel libpng-devel libtiff-devel pango-devel pkgconfig

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}%{major}
Summary: Main library for gtk+
Group: System/Libraries
Provides: gtk+, gtk2
Obsoletes: gtk+-gtkbeta, gtk2
Obsoletes: libgtk+1.3

%description -n %{libname}%{major}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}%{major}-devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/GNOME and GTK+
Icon: gtk+-devel-logo.xpm
Requires: %{libname}%{major} = %{PACKAGE_VERSION}
Requires: libglib%{major}-devel
Requires: XFree86-devel
PreReq: /sbin/install-info
Provides: gtk+-devel, gtk2-devel
Provides: libgtk+-devel
Obsoletes: gtk+-gtkbeta-devel, gtk2-devel
Obsoletes: libgtk+1.3-devel

%description -n %{libname}%{major}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%prep
%setup -n gtk+-%{ver} -q

# this is needed to avoid problems with libtool -- pablo
aclocal -I ./m4macros/
autoconf

%build
%configure  --with-xinput=xfree 
# %make commented out until libtool problems are fixed -- pablo
#%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# this is needed to fix paths inside lib*.la files until libtool
# problems are fixed -- pablo
for i in `find $RPM_BUILD_ROOT -name "*.la"`
do
	cp $i A
	cat A | sed "s:$RPM_BUILD_ROOT::g" > $i
done
				

%{find_lang} gtk20

#
# Make cleaned-up versions of examples and tutorial for installation
#
./mkinstalldirs tmpdocs/tutorial
# install -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/* ; do
    if [ -d $dir ] ; then
       ./mkinstalldirs tmpdocs/$dir
       for file in $dir/* ; do
          case $file in
	     *pre1.2.7)
	        ;;
	     *)
                install -m 0644 $file tmpdocs/$dir
		;;
	  esac
       done
    fi
done

# Install the demo programs
cd tests
../libtool --mode=install install testgtk $RPM_BUILD_ROOT%{_prefix}/bin
../libtool --mode=install install testtext $RPM_BUILD_ROOT%{_prefix}/bin

install -m 444 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtkrc

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}%{major}
/sbin/ldconfig
%{_prefix}/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

#%post -n %{libname}%{major}-devel
#%_install_info gtk.info
#%_install_info gdk.info
#
#%preun -n %{libname}%{major}-devel
#if [ "$1" = "0" ]; then
#	%{__install_info} \
#	%{_infodir}/gdk.info%{_extension} --dir=%{_infodir}/dir --remove
#fi
#if [ "$1" = "0" ]; then
#	%{__install_info} \
#	%{_infodir}/gtk.info%{_extension} --dir=%{_infodir}/dir --remove
#fi

%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -n %{libname}%{major} -f gtk20.lang
%defattr(-, root, root)
%doc INSTALL ABOUT-NLS
%{_libdir}/lib*.so.*
%{_datadir}/themes/Default/gtk-2.0
%{_bindir}/gtk-query-immodules-2.0
%{_bindir}/testtext
%{_bindir}/testgtk
%{_bindir}/gtk-demo
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/[12]*
%dir %{_libdir}/gtk-2.0/[12]*/*
%{_libdir}/gtk-2.0/[12]*/*/*.so
%dir %{_datadir}/gtk-2.0
%{_datadir}/gtk-2.0/*
%dir %{_sysconfdir}/gtk-2.0
%config(noreplace) %{_sysconfdir}/gtk-2.0/*

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README* TODO
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/gtk-2.0/[12]*/*/*a
# commented out to avoid conflicts with current version of gtk
# %{_mandir}/man1/*
# %{_infodir}/*
%dir %{_libdir}/gtk-2.0/include
%{_libdir}/gtk-2.0/include/*
%{_includedir}/*
%{_datadir}/aclocal/*
#%{_bindir}/gtk-config-2.0
%{_bindir}/make-inline-pixbuf
%{_libdir}/pkgconfig/*
%doc tmpdocs/tutorial
%doc tmpdocs/examples

%changelog
* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-4mdk
- BuildRequires:	pkgconfig XFree86-devel

* Mon Aug 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-3mdk
- circumvented the libtool problems

* Tue Jul 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-2mdk
- rebuild with forcing use of new libtools

* Fri Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-1mdk
- updated to 1.3.6

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-4mdk
- added indic input methods

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-3mdk
- first version for mdk
- improved with inclusion of docs, copied from the pango site rpm package
- properly include translation files, keyboard input methods, and etc config

* Tue May 15 2001 DindinX <odin@mandrakesoft.com> 1.3.5-2mdk
- corrected package source name.

* Mon May 14 2001 DindinX <odin@mandrakesoft.com> 1.3.5-1mdk
- first mandrake release of gtk+-2.0pre

